National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2014-6272 Detail

Description

Multiple integer overflows in the evbuffer API in Libevent 1.4.x before 1.4.15, 2.0.x before 2.0.22, and 2.1.x before 2.1.5-beta allow context-dependent attackers to cause a denial of service or possibly have other unspecified impact via "insanely large inputs" to the (1) evbuffer_add, (2) evbuffer_expand, or (3) bufferevent_write function, which triggers a heap-based buffer overflow or an infinite loop. NOTE: this identifier has been SPLIT per ADT3 due to different affected versions. See CVE-2015-6525 for the functions that are only affected in 2.0 and later.

Source:  MITRE
Description Last Modified:  08/24/2015

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 7.5 HIGH
Vector: (AV:N/AC:L/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://archives.seul.org/libevent/users/Jan-2015/msg00010.html Vendor Advisory
http://www.debian.org/security/2015/dsa-3119
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2016&m=slackware-security.366317
https://puppet.com/security/cve/CVE-2014-6272

Technical Details

Vulnerability Type (View All)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:o:debian:debian_linux:7.0:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 2 ( hide )
 cpe:2.3:a:libevent_project:libevent:1.4.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.8:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.10:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.11:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.12:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.13:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:1.4.14:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.8:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.9:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.10:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.11:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.12:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.13:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.14:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.15:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.16:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.17:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.18:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.19:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.20:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.0.21:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.1.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.1.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.1.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:libevent_project:libevent:2.1.4:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

4 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2014-6272
NVD Published Date:
08/24/2015
NVD Last Modified:
12/08/2017